package cn.estsh.i3plus.ext.mes.pcn.api.busi;

import cn.estsh.i3plus.ext.mes.pcn.pojo.context.MesProductionAssemblyContext;
import cn.estsh.i3plus.ext.mes.pcn.pojo.context.MesProductionAssemblySortContext;
import cn.estsh.i3plus.pojo.mes.bean.MesProductionAssembly;
import cn.estsh.i3plus.pojo.mes.bean.MesWorkOrderAssembly;
import io.swagger.annotations.ApiOperation;

import java.util.List;

public interface IMesAssemblyExtService {


    @ApiOperation(value = "【排序线】获取生产工单装配件绑定记录 【List<MesProductionAssemblyContext>】")
    List<MesProductionAssemblyContext> getProductionAssemblySortContextList(MesProductionAssemblySortContext productionAssemblyContext, List<String> workOrderNoList);

    @ApiOperation(value = "【排序线】获取生产工单装配件清单 【List<MesWorkOrderAssembly>】")
    List<MesWorkOrderAssembly> getWorkOrderAssemblyList(MesProductionAssemblySortContext productionAssemblySortCmontext, List<String> workOrderNoList);

    @ApiOperation(value = "获取装配件绑定记录 【List<MesProductionAssembly>】")
    List<MesProductionAssembly> getProductionAssemblyList(MesProductionAssemblyContext productionAssemblyContext, List<Long> sourceIdList);



//    @ApiOperation(value = "【排序线】获取装配件清单 【List<MesAssemblyNosortCfg>】")
//    List<MesAssemblyNosortCfg> getAssemblyNosortCfgList(MesProductionAssemblyNosortContext productionAssemblyNosortContext);



//    @ApiOperation(value = "获取装配件绑定记录 【List<MesProductionAssembly>】")
//    List<MesProductionAssembly> getProductionAssemblyList(MesProductionAssemblyContext productionAssemblyContext);
//

//
//    @ApiOperation(value = "【非排序线】获取装配件绑定记录 【List<MesProductionAssembly>】")
//    List<MesProductionAssembly> getProductionAssemblyNosortList(MesProductionAssemblyNosortContext productionAssemblyNosortContext);



//    @ApiOperation(value = "【排序线】获取生产工单装配件绑定记录 【List<MesProductionAssemblySortContext>】")
//    List<MesProductionAssemblySortContext> getProductionAssemblyContextSortList(List<MesWorkOrderAssembly> workOrderAssemblyList, List<MesProductionAssembly> productionAssemblyList);
//
//    @ApiOperation(value = "【非排序线】获取装配件绑定记录 【List<MesProductionAssemblyNosortContext>】")
//    List<MesProductionAssemblyNosortContext> getProductionAssemblyContextNosortList(List<MesWorkOrderAssembly> workOrderAssemblyList, List<MesProductionAssembly> productionAssemblyList);
//
//    @ApiOperation(value = "获取装配件绑定记录 【List<MesProductionAssemblyContext>】")
//    List<MesProductionAssemblyContext> getProductionAssemblyContextList(List<MesWorkOrderAssembly> workOrderAssemblyList, List<MesProductionAssembly> productionAssemblyList);





//    @ApiOperation(value = "【排序线】获取生产工单装配件绑定记录 【List<MesProductionAssemblySortContext>】")
//    List<MesProductionAssemblySortContext> getProductionAssemblyContextSortList(MesProductionAssemblySortContext productionAssemblySortContext);
//
//    @ApiOperation(value = "【非排序线】获取装配件绑定记录 【List<MesProductionAssemblyNosortContext>】")
//    List<MesProductionAssemblyNosortContext> getProductionAssemblyContextNosortList(MesProductionAssemblyNosortContext productionAssemblyNosortContext);



}
